> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses locationsbatch



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/locations/batch
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/locations/batch:
    post:
      tags:
        - Locations
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/LocationsLocationCreateRequest'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/LocationsLocationCreateRequest'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/LocationsLocationCreateRequest'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBLocationResponse'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBLocationResponse'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DTOSBLocationResponse'
        '404':
          description: Not Found
components:
  schemas:
    LocationsLocationCreateRequest:
      type: object
      properties:
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddressRequest'
        businessCategoryCode:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        website:
          type: string
          nullable: true
        facebookUrl:
          type: string
          nullable: true
        instagramUsername:
          type: string
          nullable: true
        twitterUsername:
          type: string
          nullable: true
        isActive:
          type: boolean
        locale:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        logo:
          type: string
          nullable: true
        images:
          type: array
          items:
            $ref: '#/components/schemas/ImagesImageUploadRequest'
          nullable: true
      additionalProperties: false
    DTOSBLocationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        logo:
          type: string
          nullable: true
        isActive:
          type: boolean
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        phoneNumber:
          type: string
          nullable: true
        locale:
          type: string
          nullable: true
        currency:
          type: string
          nullable: true
        facebookUrl:
          type: string
          nullable: true
        twitterUsername:
          type: string
          nullable: true
        instagramUsername:
          type: string
          nullable: true
        businessCategoryCode:
          type: string
          nullable: true
        timezone:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    DTOAddressRequest:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
      additionalProperties: false
    ImagesImageUploadRequest:
      type: object
      properties:
        fileName:
          type: string
          nullable: true
        contentType:
          type: string
          nullable: true
        stream:
          type: string
          format: binary
          nullable: true
        base64:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
        file:
          type: string
          format: binary
          nullable: true
        note:
          type: string
          nullable: true
        altText:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````